%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate flate2

Name:           rust-flate2
Version:        1.0.28
Release:    1%{?dist}
Summary:        DEFLATE compression and decompression exposed as Read/BufRead/Write streams

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/flate2
Source0:         %{crates_source}
Patch:          flate2-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
DEFLATE compression and decompression exposed as Read/BufRead/Write
streams. Supports miniz_oxide and multiple zlib implementations.
Supports zlib, gzip, and raw deflate streams.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/MAINTENANCE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+any_impl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+any_impl-devel %{_description}

This package contains library source intended for building other packages which
use the "any_impl" feature of the "%{crate}" crate.

%files       -n %{name}+any_impl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+any_zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+any_zlib-devel %{_description}

This package contains library source intended for building other packages which
use the "any_zlib" feature of the "%{crate}" crate.

%files       -n %{name}+any_zlib-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libz-ng-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libz-ng-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "libz-ng-sys" feature of the "%{crate}" crate.

%files       -n %{name}+libz-ng-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libz-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libz-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "libz-sys" feature of the "%{crate}" crate.

%files       -n %{name}+libz-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+miniz-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+miniz-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "miniz-sys" feature of the "%{crate}" crate.

%files       -n %{name}+miniz-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+miniz_oxide-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+miniz_oxide-devel %{_description}

This package contains library source intended for building other packages which
use the "miniz_oxide" feature of the "%{crate}" crate.

%files       -n %{name}+miniz_oxide-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_backend" feature of the "%{crate}" crate.

%files       -n %{name}+rust_backend-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zlib-devel %{_description}

This package contains library source intended for building other packages which
use the "zlib" feature of the "%{crate}" crate.

%files       -n %{name}+zlib-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zlib-default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zlib-default-devel %{_description}

This package contains library source intended for building other packages which
use the "zlib-default" feature of the "%{crate}" crate.

%files       -n %{name}+zlib-default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zlib-ng-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zlib-ng-devel %{_description}

This package contains library source intended for building other packages which
use the "zlib-ng" feature of the "%{crate}" crate.

%files       -n %{name}+zlib-ng-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.28-1
- initial build
